# See end of file for licencing information

package AppLib;

# This is the parent module for the AppLib Library

use strict;
#use warnings;
#use diagnostics;

use UNIVERSAL 'isa';
use base 'AppLib::Error';
use File::Spec     ();
use Class::Autouse ();

# Set the version
use vars qw{$VERSION};
BEGIN {
	$VERSION = 0.6;
}

# Flag everything below us to load at run-time.
Class::Autouse->autouse_recursive( 'AppLib' );

1;

__END__

# Copyright (C) 2000-2002 Adam Kennedy ( http://ali.as/contact/ )
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# Should you wish to utilise this software under a different licence,
# please contact the author.
